#! /bin/sh

PTEST=$(/usr/bin/fw_printenv | grep 'ptest' | cut -d'=' -f2)
if [ "x$PTEST" = "x" ]
then
    echo "Not Starting MBus WebServer: Production-Tests not done."
    exit 0
fi


case "$1" in
  start)
    echo "Starting MBus WebServer: WebServerD"
    /usr/bin/run-webserverd.sh &
    
    echo "done."
    ;;
  stop)
    echo "Stopping MBus WebServer: WebServerD"
    killall -TERM run-webserverd.sh
    sleep 2
    killall -TERM WebServerD
    echo "."
    ;;

  reload|force-reload)
    $0 stop
    sleep 2
    $0 start
    ;;

  restart)
    $0 stop
    sleep 2
    $0 start
    ;;

  *)
    echo "Usage: /etc/init.d/webserverd.sh {start|stop|reload|force-reload|restart}"
    exit 1
esac

exit 0
