#! /bin/sh
set -e

case "$1" in
  start)
    echo "Starting application pre-init"

    /usr/bin/application-pre-init.sh &
    
    echo "done."
    ;;
  stop)
    ;;

  reload|force-reload)
    $0 stop
    sleep 2
    $0 start
    ;;

  restart)
    $0 stop
    sleep 2
    $0 start
    ;;

  *)
    echo "Usage: /etc/init.d/application-pre-init.sh {start|stop|reload|force-reload|restart}"
    exit 1
esac

exit 0
